Token payroll
Delete Token Payroll
Deletes a token payroll and its contributors when not approved/completed and no settlement orders exist.
POSThttps://api.toku.com/stablecoin-payroll/delete-token-payroll
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/delete-token-payroll' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tokenPayrollId": "string"
}'200 response
{
"success": true,
"validationErrors": [
"string"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
tokenPayrollIdstringrequiredAllowed: 1 to 200 characters
Response
200Successful response
successbooleanrequiredvalidationErrorsstring[]400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits